/*
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */
import java.io.*;

class SecurityManagerTest {

    private static final int NUMTHREADS = 5;

    public static void main(String args[]) {
        try {
            System.setSecurityManager(new SecretPasswordSMgr("Booga Booga"));
        } catch (SecurityException se) {
            System.out.println("SecurityManager already set!");
        }

        Thread someThreads[] = new Thread[NUMTHREADS];

        ThreadGroup aGroup = new ThreadGroup("A Group of Threads");

        for (int i = 0; i < NUMTHREADS; i++) {
            someThreads[i] = new Thread(aGroup, String.valueOf(i));
            someThreads[i].start();
        }
    }
}
