/*
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */
import java.awt.*;
import java.applet.Applet;

/* 
 * This applet/application displays a single image twice,
 * once at its normal size and once scaled down.
 */

//This runs fine as an applet.  Make sure it works well as
//an application.

public class ImageDisplayer extends Applet {
    Image image;

    boolean inAnApplet = true;
    Toolkit toolkit;

    public static void main(String args[]) {
        Frame f =  new Frame("Image Display Demo");
        ImageDisplayer panel = new ImageDisplayer();
        panel.inAnApplet = false;
        panel.toolkit = Toolkit.getDefaultToolkit();

        panel.init();

        f.add("Center", panel);
        //f.resize(532, 560);
        Insets i = f.insets();
        f.resize(525 + i.left + i.right, 68 + i.top + i.bottom);
        f.show();
    }
    
    public void init() {
        // Load the image.
        if (inAnApplet) { //Load with Applet getImage(url, string) method.
            image = getImage(getCodeBase(),
                                 "../images/pizza.gif");
        } else { //Load with Toolkit getImage(file) method.
            image = toolkit.getImage("../images/pizza.gif");
        } 
    }

    public void paint(Graphics g) {
        //Draw image at its natural size first.
        g.drawImage(image, 0, 0, this); //120x68 image

        //Now draw the image scaled.
        g.drawImage(image, 125, 0, 400, 68, this);
    }

    public boolean handleEvent(Event e) {
        if (e.id == Event.WINDOW_DESTROY) {
                System.exit(0);
        }   
        return super.handleEvent(e);
    }
}

